Retrieve account information
Returns your partner account details.
Request
GET/partner
Response
A json is returned in the response body with the following fields:
refIdinteger
Ref ID of your partner account.
parentRefIdnullable integer
Ref ID of your parent account. null if your partner account is not under any other partner account.
namestring
Name of your partner account.
typestring
Type of your partner account.
emailstring
Contact email of your partner account.
contactPersonstring
Contact person of your partner account.
countrystring
Country of your partner account.
accountManagerEmailstring
Email of the account manager of your partner account.
accountManagerFirstNamestring
First name of the account manager of your partner account.
accountManagerLastNamestring
Last name of the account manager of your partner account.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/partner' \ -H 'Authorization: Bearer {token}'Response
{
"refId": 1234,
"parentRefId": 4567,
"name": "Good Company",
"type": "DISTRIBUTOR",
"email": "[email protected]",
"contactPerson": "Good Company Sales",
"country": "U.S.A.",
"accountManagerEmail": "[email protected]",
"accountManagerFirstName": "Martha",
"accountManagerLastName": "Nunez"
}